View Issue Details

IDProjectCategoryView StatusLast Update
0005253libextractorpluginspublic2018-07-12 22:42
ReporterHeiko StamerAssigned ToChristian Grothoff 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSDebian GNU/LinuxOS Version8
Product Version1.6 
Target Version1.7Fixed in Version1.7 
Summary0005253: Does not build from GIT HEAD
Descriptionlibtool: compile: gcc -DHAVE_CONFIG_H -I. -I../.. -I../../src/include -I../../src/common -g -O2 -MT nsfe_extractor.lo -MD -MP -MF .deps/nsfe_extractor.Tpo -c nsfe_extractor.c -fPIC -DPIC -o .libs/nsfe_extractor.o
nsfe_extractor.c: In function 'nsfeuint':
nsfe_extractor.c:64:3: error: 'for' loop initial declarations are only allowed in C99 or C11 mode
   for (int i = 3; i > 0; i--)
   ^
nsfe_extractor.c:64:3: note: use option -std=c99, -std=gnu99, -std=c11 or -std=gnu11 to compile your code
Makefile:2203: recipe for target 'nsfe_extractor.lo' failed
make[3]: *** [nsfe_extractor.lo] Error 1
make[3]: Leaving directory '/home/dkg-test/libextractor/src/plugins'
Makefile:2285: recipe for target 'install-recursive' failed
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory '/home/dkg-test/libextractor/src/plugins'
Makefile:415: recipe for target 'install-recursive' failed
make[1]: *** [install-recursive] Error 1
make[1]: Leaving directory '/home/dkg-test/libextractor/src'
Makefile:526: recipe for target 'install-recursive' failed
make: *** [install-recursive] Error 1
Steps To Reproduce./configure
make
Additional Information$ gcc --version
gcc (Debian 4.9.2-10) 4.9.2
TagsNo tags attached.

Activities

Christian Grothoff

2018-02-28 22:20

manager   ~0012871

Fixed in 6c70420..e14fac7. I guess that's what I get for having moved _some_ of my projects to c99 but not all ;-)

Issue History

Date Modified Username Field Change
2018-01-14 17:57 Heiko Stamer New Issue
2018-02-28 22:20 Christian Grothoff Note Added: 0012871
2018-02-28 22:20 Christian Grothoff Assigned To => Christian Grothoff
2018-02-28 22:20 Christian Grothoff Status new => resolved
2018-02-28 22:20 Christian Grothoff Resolution open => fixed
2018-02-28 22:20 Christian Grothoff Fixed in Version => 1.7
2018-02-28 22:20 Christian Grothoff Target Version => 1.7
2018-07-12 22:42 Christian Grothoff Status resolved => closed